apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "1"
  creationTimestamp: "2024-12-11T23:21:39Z"
  generation: 1
  labels:
    app: submariner-lighthouse-agent
    component: submariner-lighthouse
  managedFields:
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:app: {}
          f:component: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"8a22a72c-35e3-4ae7-ae10-a801feb4da4f"}: {}
      f:spec:
        f:progressDeadlineSeconds: {}
        f:replicas: {}
        f:revisionHistoryLimit: {}
        f:selector: {}
        f:strategy:
          f:rollingUpdate:
            .: {}
            f:maxSurge: {}
            f:maxUnavailable: {}
          f:type: {}
        f:template:
          f:metadata:
            f:labels:
              .: {}
              f:app: {}
              f:component: {}
          f:spec:
            f:containers:
              k:{"name":"submariner-lighthouse-agent"}:
                .: {}
                f:env:
                  .: {}
                  k:{"name":"BROKER_K8S_APISERVER"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"BROKER_K8S_APISERVERTOKEN"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"BROKER_K8S_CA"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"BROKER_K8S_INSECURE"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"BROKER_K8S_REMOTENAMESPACE"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"BROKER_K8S_SECRET"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_CLUSTERID"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_CLUSTERSET_IP_CIDR"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_CLUSTERSET_IP_ENABLED"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_DEBUG"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_GLOBALNET_ENABLED"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_HALT_ON_CERT_ERROR"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_NAMESPACE"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:resources: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
                f:volumeMounts:
                  .: {}
                  k:{"mountPath":"/run/secrets/submariner.io/submariner-broker-secret"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
            f:dnsPolicy: {}
            f:restartPolicy: {}
            f:schedulerName: {}
            f:securityContext: {}
            f:serviceAccount: {}
            f:serviceAccountName: {}
            f:terminationGracePeriodSeconds: {}
            f:volumes:
              .: {}
              k:{"name":"brokersecret"}:
                .: {}
                f:name: {}
                f:secret:
                  .: {}
                  f:defaultMode: {}
                  f:secretName: {}
    manager: submariner-operator
    operation: Update
    time: "2024-12-11T23:21:39Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:deployment.kubernetes.io/revision: {}
      f:status:
        f:availableReplicas: {}
        f:conditions:
          .: {}
          k:{"type":"Available"}:
            .: {}
            f:lastTransitionTime: {}
            f:lastUpdateTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Progressing"}:
            .: {}
            f:lastTransitionTime: {}
            f:lastUpdateTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
        f:observedGeneration: {}
        f:readyReplicas: {}
        f:replicas: {}
        f:updatedReplicas: {}
    manager: kube-controller-manager
    operation: Update
    subresource: status
    time: "2025-02-14T13:33:26Z"
  name: submariner-lighthouse-agent
  namespace: submariner-operator
  ownerReferences:
  - apiVersion: submariner.io/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: ServiceDiscovery
    name: service-discovery
    uid: 8a22a72c-35e3-4ae7-ae10-a801feb4da4f
  resourceVersion: "80074404"
  uid: b39697fa-ab4d-4f5e-9dca-052bb37a79bf
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: submariner-lighthouse-agent
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: submariner-lighthouse-agent
        component: submariner-lighthouse
    spec:
      containers:
      - env:
        - name: SUBMARINER_NAMESPACE
          value: submariner-operator
        - name: SUBMARINER_CLUSTERID
          value: rdr-blue-site-svl-2
        - name: SUBMARINER_CLUSTERSET_IP_CIDR
          value: 243.0.16.0/20
        - name: SUBMARINER_CLUSTERSET_IP_ENABLED
          value: "false"
        - name: SUBMARINER_DEBUG
          value: "false"
        - name: SUBMARINER_GLOBALNET_ENABLED
          value: "true"
        - name: SUBMARINER_HALT_ON_CERT_ERROR
          value: "false"
        - name: BROKER_K8S_APISERVER
          value: ##redacted-api-server##
        - name: BROKER_K8S_APISERVERTOKEN
          value: ##redacted-token##
        - name: BROKER_K8S_REMOTENAMESPACE
          value: submariner-k8s-broker
        - name: BROKER_K8S_CA
          value: ##redacted-ca##
        - name: BROKER_K8S_INSECURE
          value: "false"
        - name: BROKER_K8S_SECRET
          value: submariner-broker-secret
        image: quay.io/submariner/lighthouse-agent:0.19.0
        imagePullPolicy: IfNotPresent
        name: submariner-lighthouse-agent
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /run/secrets/submariner.io/submariner-broker-secret
          name: brokersecret
          readOnly: true
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: submariner-lighthouse-agent
      serviceAccountName: submariner-lighthouse-agent
      terminationGracePeriodSeconds: 0
      volumes:
      - name: brokersecret
        secret:
          defaultMode: 420
          secretName: submariner-broker-secret
status:
  availableReplicas: 1
  conditions:
  - lastTransitionTime: "2024-12-11T23:21:39Z"
    lastUpdateTime: "2024-12-11T23:21:48Z"
    message: ReplicaSet "submariner-lighthouse-agent-55cd984bfb" has successfully
      progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  - lastTransitionTime: "2025-02-14T13:33:26Z"
    lastUpdateTime: "2025-02-14T13:33:26Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  observedGeneration: 1
  readyReplicas: 1
  replicas: 1
  updatedReplicas: 1
